Bug 1940318 - No data under 'Current Bandwidth' for Dashboard 'Kubernetes / Networking / Pod'
Summary: No data under 'Current Bandwidth' for Dashboard 'Kubernetes / Networking / Pod'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Andrew Pickering
QA Contact: hongyan li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-18 07:33 UTC by hongyan li
Modified: 2021-07-27 22:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)
screen shot (53.03 KB, image/png)
2021-03-18 07:33 UTC, hongyan li
no flags Details
screenshot for Dashboard 'Kubernetes / Networking / Namespace(Pods)' (154.81 KB, image/png)
2021-04-08 05:56 UTC, hongyan li
no flags Details
kubernetes/networking/pod (88.94 KB, image/png)
2021-05-14 06:22 UTC, hongyan li
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8921 0 None open Bug 1940318: Monitoring dashboards: Support colored text for single values 2021-05-13 15:05:14 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:54:48 UTC

Description hongyan li 2021-03-18 07:33:04 UTC
Created attachment 1764288 [details]
screen shot

Created attachment 1764288 [details]
screen shot

Description of problem:
No data under 'Current Bandwidth' for Dashboard 'Kubernetes / Networking / Pod'

Version-Release number of selected component (if applicable):
4.8.0-0.nightly-2021-03-18-000857

How reproducible:
always

Steps to Reproduce:
1. Go to Monitoring ->Dashboards
2. Choose Dashboard 'Kubernetes / Networking / Pod'
3. Found no graph under 'Current Bandwidth'

Actual results:


Expected results:


Additional info:

There is data under under 'Current Bandwidth' for Dashboard 'Kubernetes / Networking / Namespace(Pods)'

Comment 1 hongyan li 2021-04-08 05:56:50 UTC
Created attachment 1770116 [details]
screenshot  for Dashboard 'Kubernetes / Networking / Namespace(Pods)'

Comment 2 Andrew Pickering 2021-04-08 09:46:36 UTC
This is because the Dashboards page currently does not support gauges.

Rather than adding support for gauges, the better solution might be to change the dashboard definition to use a line graph instead. Then we will see the trend, not just the current value.

Comment 5 hongyan li 2021-05-14 06:21:50 UTC
Test with payload 4.8.0-0.nightly-2021-05-13-212110

There is data under 'Current Bandwidth' for Dashboard 'Kubernetes / Networking / Pod'

see screenshot

Comment 6 hongyan li 2021-05-14 06:22:41 UTC
Created attachment 1783082 [details]
kubernetes/networking/pod

Comment 9 errata-xmlrpc 2021-07-27 22:54:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.